Bug 1160981 - meld crashes when browsing directories from KDE session
Summary: meld crashes when browsing directories from KDE session
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-06 04:55 UTC by Syam
Modified: 2015-11-02 16:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-02 16:44:49 UTC


Attachments (Terms of Use)

Description Syam 2014-11-06 04:55:20 UTC
When opting for directory comparison, and selecting 'Other..' from the file selection drop-down, meld crashes.


Version-Release number of selected component (if applicable): 1.8.6


Steps to Reproduce:
1. Start meld on a KDE session and click on 'directory comparison'
2. Choose 'Other..' from the drop-down list
3. meld crashes

I have a strong feeling that the crash is actually due to some lower level component and not specific to meld. But browsing for files work fine in gedit on KDE. I can't think of any other GTK/Gnome application that opens a directory search dialog so that it can be tested.

Comment 1 Fedora End Of Life 2015-05-29 13:13:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Syam 2015-05-30 16:38:13 UTC
This bug exists on Fedora 21 as well. Selecting any directory from the dropdown list (not just 'Other...' option), crashes meld.

When run from a terminal, the output is:

(meld:3831): Gtk-CRITICAL **: gtk_tree_model_filter_get_value: assertion 'GTK_TREE_MODEL_FILTER (model)->priv->stamp == iter->stamp' failed
/bin/meld:274: Warning: gtype.c:4221: type id '0' is invalid
  status = meld.meldapp.app.run(sys.argv)
/bin/meld:274: Warning: can't peek value table for type '<invalid>' which is not currently referenced
  status = meld.meldapp.app.run(sys.argv)
Segmentation fault (core dumped)

Comment 3 Rex Dieter 2015-05-30 17:07:53 UTC
Having a backtrace would help (or let abrt submit a crash report for you).

Comment 4 Syam 2015-05-31 00:37:22 UTC
I have abrt installed. But it doesn't popup automatically when meld crashes. How do I generate a backtrace in this condition?

Comment 5 Rex Dieter 2015-05-31 00:44:55 UTC
hrm, not sure, since meld is a python script, one can't just do:

gdb /usr/bin/meld
(gdb) run
and wait for crash

I tried, and get:

"/usr/bin/meld": not in executable format: File format not recognized

Sorry

Comment 6 Daniel Vrátil 2015-06-01 08:38:00 UTC
Since this looks like a crash in Gtk bindings (or Gtk library invoked through the bindings), you could do:

gdb /bin/python
(gdb) run /usr/bin/meld

And you will actually get a backtrace of the crash. Unfortunately it's not usually possible to figure out from the backtrace which call in the Python script lead to the bindings call, but at least it can identify what goes wrong in the C library. Make sure you have at least Gtk+ debug symbols installed.

The assert looks like there's some type not registered to the GType system, which might indicate bug in the bindings, but that's a very very bold guess from my side without actually seeing any code.

Comment 7 Syam 2015-11-02 16:44:49 UTC
Just tested this on Fedora 22 (x86_64) and I can't reproduce the crash. Selecting 'Other..' brings up GNOME directory browser as expected and everything works.

Therefore I'm closing the bug. Thanks for all the help.


Note You need to log in before you can comment on or make changes to this bug.